SPIT - Importing shape files always fails with some shapefiles
Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10245

Description

I haven't been able to import Shape files not even once. I always get the error message:

Problem inserting features from file: <filename>

History

#1 - 2006-09-10 02:44 AM - Gavin Macaulay -

Does this still happen with the 0.8 preview release? If so, can you attach an example .shp file that you can't import?

#2 - 2006-10-14 03:07 PM - Gavin Macaulay -

A duplicate ticket with some more details is #304

#3 - 2006-10-16 12:20 AM - Gavin Macaulay -

I've added more information to the 'Problem inserting from file' message, so if you can try the latest version of qgis from svn and let us know what the error

message is now, that'd help...

#4 - 2006-10-17 12:54 AM - Gavin Macaulay -

It has been noted in the Qgis forum that some of the problems in using spit may be to do with postgis not being installed in the database. Qgis now checks

for this when importing shapefiles.

#5 - 2006-11-14 12:00 AM - anonymous -

Hey Guys

I have been importing shapefiles into [[PostGIS]] using ogr2ogr and shp2pgsql in past 6 months and i works well. 

Now I've been trying a user friendly way of importing a shapefile into [[PostGIS]] by using SPIT but it fails. I used Quantum 0.7.4 and 0.8.0 preview version

but all I get is

Problem inserting feature from file: "shapefile path"

Can you guys help me pls
Thanks

Oyz

#6 - 2006-12-19 07:35 PM - murray-richardson-utoronto-ca -

I have the same proble on Windows XP with QGIS version 0.7.4.  I can load shapefiles  into postgis using shp2psql and display them in qgis.  The same

shapefiles cannot be loaded using the SPIT plugin.

Has anyone resolved this issue?

Thanks

Murray

#7 - 2007-01-02 06:47 PM - Gavin Macaulay -

The example files are missing the .shx and .dbf files. Please attache them too. Thanks.

#8 - 2007-01-03 09:48 AM - Redmine Admin

In fact it fails with some shp, not with others. 2 samples attached. Apparently it depends on some values of the "cat" column missing from the dbf (they are

shown as 0 in the good vector, as missing in the bad one)

#9 - 2007-01-03 06:50 PM - anonymous -

- Status changed from Open to Closed

- Resolution set to fixed

Fixed in Release 0.8 branch () and in head ().

#10 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted

Files

Accomodation.shp 1.22 KB 2006-10-17 oyama-k-sa-solutions-co-za -

Attraction.shp 1.52 KB 2006-11-13 Oyz -

bad_vector.tar.gz 15 KB 2007-01-03 Redmine Admin

good_vector.tar.gz 14.6 KB 2007-01-03 Redmine Admin
